<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotFeedbackMessage\SideBySideSurveyMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SideBySideSurveyAnalyticsData extends \Google\Protobuf\Internal\Message
{
    


    protected $tessaEvent = null;
    


    protected $tessaSessionFbid = null;
    


    protected $simonSessionFbid = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTessaEvent()
    {
        return isset($this->tessaEvent) ? $this->tessaEvent : '';
    }

    public function hasTessaEvent()
    {
        return isset($this->tessaEvent);
    }

    public function clearTessaEvent()
    {
        unset($this->tessaEvent);
    }

    




    public function setTessaEvent($var)
    {
        GPBUtil::checkString($var, True);
        $this->tessaEvent = $var;

        return $this;
    }

    



    public function getTessaSessionFbid()
    {
        return isset($this->tessaSessionFbid) ? $this->tessaSessionFbid : '';
    }

    public function hasTessaSessionFbid()
    {
        return isset($this->tessaSessionFbid);
    }

    public function clearTessaSessionFbid()
    {
        unset($this->tessaSessionFbid);
    }

    




    public function setTessaSessionFbid($var)
    {
        GPBUtil::checkString($var, True);
        $this->tessaSessionFbid = $var;

        return $this;
    }

    



    public function getSimonSessionFbid()
    {
        return isset($this->simonSessionFbid) ? $this->simonSessionFbid : '';
    }

    public function hasSimonSessionFbid()
    {
        return isset($this->simonSessionFbid);
    }

    public function clearSimonSessionFbid()
    {
        unset($this->simonSessionFbid);
    }

    




    public function setSimonSessionFbid($var)
    {
        GPBUtil::checkString($var, True);
        $this->simonSessionFbid = $var;

        return $this;
    }

}

